Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.el.lang
Class FunctionMapperFactory

    java.lang.Object
      javax.el.FunctionMapper
          org.apache.el.lang.FunctionMapperFactory

    public class FunctionMapperFactory

extends FunctionMapper

Version:
  $Id: FunctionMapperFactory.java 939311 2010-04-29 14:01:02Z kkolinko $
Author:
  Jacob Hookom [jacob@hookom.net]

Field Summary
`protected FunctionMapperImpl` | `memento`
`protected FunctionMapper` | `target`

Constructor Summary
`FunctionMapperFactory(FunctionMapper mapper)`

Method Summary
`FunctionMapper` | `create()`
`Method` | `resolveFunction(String prefix, String localName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### memento

    protected FunctionMapperImpl memento

### target

    protected FunctionMapper target

Constructor Detail

### FunctionMapperFactory

    public FunctionMapperFactory(FunctionMapper mapper)

Method Detail

### resolveFunction

    public Method resolveFunction(String prefix,
                                  String localName)

  Specified by:
    `resolveFunction` in class `FunctionMapper`

### create

    public FunctionMapper create()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.